package kr.co.vividnext.sodalive.explorer.profile.creator_community

import android.os.Parcelable
import com.google.gson.annotations.SerializedName
import kotlinx.parcelize.Parcelize

data class GetCommunityPostCommentListResponse(
    @SerializedName("totalCount") val totalCount: Int,
    @SerializedName("items") val items: List<GetCommunityPostCommentListItem>
)

@Parcelize
data class GetCommunityPostCommentListItem(
    @SerializedName("id") val id: Long,
    @SerializedName("writerId") val writerId: Long,
    @SerializedName("nickname") val nickname: String,
    @SerializedName("profileUrl") val profileUrl: String,
    @SerializedName("comment") val comment: String,
    @SerializedName("date") val date: String,
    @SerializedName("replyCount") val replyCount: Int,
) : Parcelable
